Subject: Re: [PATCH net-next v2] net: smc91x: Refactor SMC_* macros

From: Jakub Kicinski <[email-masked]>
Date: Sat, 1 Jun 2024 15:42:13 -0700

On Sat, 1 Jun 2024 17:53:42 +0100 Simon Horman wrote:
> >  drivers/net/ethernet/smsc/smc91x.c | 132 +++++++++++--------------
> >  drivers/net/ethernet/smsc/smc91x.h | 152 ++++++++++++++---------------
> >  2 files changed, 131 insertions(+), 153 deletions(-)  
>  
> This is a large and repetitive patch, which makes it hard to spot any errors
> (I couldn't see any :)

+1

While the spirit of the patch is right, I don't think we should
encouraging refactoring of ancient drivers. It's not a great use
of anyone's time.